package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface BiFunction<T, U, R>
{
    public abstract R apply(T p0, U p1);
    
    default public <V> BiFunction<T, U, V> andThen(Function<? super R, ? extends V> obj) {
        Objects.requireNonNull(obj);
        return (o, o2)/* java.lang.Object,java.lang.Object, */ -> p0.apply(this.apply(o, o2));
    }
}
